* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI',
		'Roboto', 'Oxygen', 'Ubuntu', 'Cantarell', 'Fira Sans',
		'Droid Sans', 'Helvetica Neue', sans-serif;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

code {
	font-family: source-code-pro, Menlo, Monaco, Consolas,
		'Courier New', monospace;
}


.header {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.dark-mode {
	background-color: #000;
	height: 100vh;
}

.dark-mode  h2{
	color: #fff;
}

.dark-mode  .save {
	box-shadow: 2px 2px 2px #fff;
}

.dark-mode .header img{
	color: #fff;
	background-color: #fff;
	border-radius: 5px;
	box-shadow: 2px 2px 2px #fff;
}

.header img {
	width: 60px;
	margin: 2rem 0rem;
}

.container {
	max-width:  960px;
	margin: 0rem auto;
	padding: 0rem 0.9375rem;
}

.notes-list {
	display: grid;
	grid-gap: 1rem;
	grid-template-columns: repeat(auto-fill,
			minmax(250px, 1fr));
}

.note.new,textarea {
	background-color: #67d7cc;
}

textarea {
	border: none;
	resize: none;
}

textarea:focus{
	outline: none;
}

.save{
	background-color: #e1e1e1;
	border: none;
	border-radius: 15px;
	padding: 5px 10px 5px 10px;
}

.save:hover {
	background-color: #ededed;
}

.note {
	background-color: #fef68a;
	border-radius: 10px;
	padding: 2rem;
	min-height: 170px;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	white-space: pre-wrap;
	overflow-x: hidden;
	box-shadow: 2px 2px 5px #000;
}

.note-footer {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.delete-icon {
	cursor: pointer;
}

.delete-icon:hover {
	color: crimson;
}

.search {
	display: flex;
	align-items: center;
	background-color: rgb(233,233,233);
	border-radius: 10px;
	padding: 10px;
	margin-bottom: 1.5rem;
	box-shadow: 2px 2px 5px;
}

.search-icons {
	margin-right: 10px;
}

.search input {
	border: none;
	background-color: rgb(233,233, 233);
}

.search input:focus {
	outline: none;
}

